# Revision history for dns-patterns

## 0.2.2 -- 2022-09-08

* Support older bytestring versions

## 0.2.1 -- 2022-08-24

* Export missing 'LabelPattern' and 'DomainPattern' constructors
* Correctly allow asterisk in domain labels
* Correctly allow escaped asterisk in literal domain label patterns

## 0.2.0 -- 2022-08-24

* Reversed CHANGELOG item order
* Added the following functions:
  * 'pprDomainCF'
  * 'pprDomainLabelCF'
  * 'unsafeMkDomainLabel'
  * 'unsafeSingletonDomainLabel'
  * 'mkDomainLabel' (smart constructor)
  * 'pprPatternCF'
  * 'pprLabelPattern'
  * 'pprLabelPatternCF'
  * 'mkDomain'
  * 'getDomainLabel'
  * 'getDomainLabelCF'
* Moved following data constructors and fields to an internal module:
  * 'DomainLabel'
  * 'Domain'
  * 'LabelPattern'
  * 'DomainPattern'
* Added case-insensitive Eq/Ord for LabelPattern and DomainPattern
* Drastic performance optimizations for pretty printing
* Domain labels and domain label patterns now may only contain '[a-zA-Z0-0_-]', '\.', '\\' and '\OCTAL'
* Split 'Network.DNS.Pattern' into the following modules:
  * 'Network.DNS'
  * 'Network.DNS.Internal'
  * 'Network.DNS.Pattern.Internal'
  * 'Network.DNS.Pattern.Internal'

## 0.1.3 -- 2022-08-19

* Fix incorrect Ord instance for 'Domain' and 'DomainLabel'

## 0.1.2 -- 2022-08-18

* Add 'foldCase' and 'foldCaseLabel'

## 0.1.1 -- 2022-07-06

* Allow parseAbsDomainRelax for absolute domains

## 0.1 -- 2022-02-09

* Initial release
